unit Pickdate;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  SysUtils, StdCtrls, Grids, Calendar, ExtCtrls;

type
  TBrDateForm = class(TForm)
    Calendar1: TCalendar;
    PrevMonthBtn: TSpeedButton;
    NextMonthBtn: TSpeedButton;
    Label1: TLabel;
    DateLabel: TLabel;
    NoChangesButton: TSpeedButton;
    NewClientButton: TSpeedButton;
    ChangeButton: TSpeedButton;
    FunButton: TSpeedButton;
    procedure PrevMonthBtnClick(Sender: TObject);
    procedure NextMonthBtnClick(Sender: TObject);
    procedure Calendar1Change(Sender: TObject);
    procedure FunButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure NewClientButtonClick(Sender: TObject);
    procedure ChangeButtonClick(Sender: TObject);
    procedure NoChangesButtonClick(Sender: TObject);
  private
    procedure SetDate(Date: TDateTime);
    function GetDate: TDateTime;
  public
    property Date: TDateTime read GetDate write SetDate;
  end;

var
  BrDateForm: TBrDateForm;

implementation

uses Mowmain;

{$R *.DFM}

procedure TBrDateForm.SetDate(Date: TDateTime);
begin
 Calendar1.CalendarDate := Date;
end;

function TBrDateForm.GetDate: TDateTime;
begin
  Result := Calendar1.CalendarDate;
end;

procedure TBrDateForm.PrevMonthBtnClick(Sender: TObject);
begin
  Calendar1.PrevMonth;
end;

procedure TBrDateForm.NextMonthBtnClick(Sender: TObject);
begin
  Calendar1.NextMonth;
end;

procedure TBrDateForm.Calendar1Change(Sender: TObject);
begin
  BrDateForm.DateLabel.Caption := FormatDateTime('dddd, MMMM d, YYYY', Calendar1.CalendarDate);
end;

procedure TBrDateForm.FunButtonClick(Sender: TObject);
begin{DO someting... then}
Close;
end;

procedure TBrDateForm.FormCreate(Sender: TObject);
begin
BrDateForm.FormStyle := fsStayOnTop;
BrDateForm.DateLabel.Caption := FormatDateTime('dddd, MMMM d, YYYY', Date);
end;

procedure TBrDateForm.NewClientButtonClick(Sender: TObject);
begin
MainForm.NewButtonClick(Sender);
end;

procedure TBrDateForm.ChangeButtonClick(Sender: TObject);
begin
MainForm.ClientsButtonClick(Sender);
end;

procedure TBrDateForm.NoChangesButtonClick(Sender: TObject);
begin
MainForm.DoWorkButtonClick(Sender);
end;

end.
